#include "stdio.h"
#include "stdbool.h"
#include "reader.h"
#include "json_reader.h"

int main (int argc, char *argv[]) {
  if (argc > 1) {
    printf ("Parsing file %s ...\n", argv[1]);
    const char * contents = readfile (argv[1]);
    reader *input = make_reader (contents);
    bool json = parse_json (input);
    printf ("\t%s\n", json ? "succeeds" : "fails");
    free (input);
    free ((void *) contents);
  } else {
    printf ("Usage: %s FILE ...\n", argv[0]);
  }
  exit (0);
}
